<!-- #region -->
# Welcome to PyCI Documentation!

[PyCI](https://github.com/theochem/PyCI) is a free, open-source, and cross-platform Python library designed to help you effortlessly run arbitrary determinant CI. Please use the following citation in any publication using PyCI library:

**"PyCI: A Python-scriptable library for arbitrary determinant CI"**:
Michelle Richer, Gabriela Sánchez-Díaz, Farnaz Heidar-Zadeh, Marco Martínez González, Valerii Chuiko, and Paul W. Ayers


The PyCI source code is hosted on [GitHub](https://github.com/theochem/PyCI) and is released under the [GNU General Public License version 3 (GPLv3)](https://github.com/theochem/PyCI/blob/master/LICENSE). We welcome any contributions to the PyCI library in accordance with our [Code of Conduct](CODE_OF_CONDUCT.md); please see our [Contributing Guidelines](CONTRIBUTING.md). Please report any issues you encounter while using GBasis library on [GitHub Issues](https://github.com/theochem/PyCI/issues). For further information and inquiries please contact us at [qcdevs@gmail.com](mailto:qcdevs@gmail.com).

## Why PyCI?
PyCI is a versatile, free, and open-source Python 3 library designed for setting up and executing arbitrary determinant CI (Configuration Interaction) and FanCI (Flexible Ansatz for N-electron Configuration Interaction) computations. This library is your gateway to efficiently generate arbitrary sets of Slater determinants and construct selected CI wave functions through intuitive Python scripting.

### Key Features:
1. Flexible CI Computations: Seamlessly set up and run arbitrary determinant CI and FanCI computations with ease.
2. Python Scripting: Construct CI wave functions through Python scripting, allowing for unprecedented flexibility and control.
3. FanCI Wave Functions: Build arbitrary FanCI wave functions by implementing overlap functions and gradients into a well-defined Python interface.
4. Efficient Multi-threading: PyCI leverages a core C++ library with multi-threading capabilities for optimized (Fan)CI computations.
5. ENPT2 Energy Correction: Compute second-order Epstein-Nesbet perturbation theory (ENPT2) energy corrections effortlessly.
6. RDM Calculations: Calculate spin-polarized one- and two-electron (transition) Reduced Density Matrices (RDMs) of wave functions.

Get Started with PyCI Today
Experience the freedom to innovate and accelerate your research in molecular electronic structure theory. Join the QC-Devs community and elevate your computational chemistry endeavors.
<!-- #endregion -->